<template>
  <div v-if="sortedSports.length > 0" class="px-8">
    <div class="page__header">
      <h1 class="page__title">{{ $t("sports") }}</h1>
    </div>
    <div class="games__list">
      <game-entry
        v-for="(sport, index) in sortedSports"
        :key="index"
        :game-data="sport"
        tab-type="sports"
      />
    </div>
  </div>
  <lobby-no-game-message v-else />
</template>
<script lang="ts" setup>
import GameEntry from "./components/gameComponents/GameEntry.client.vue";
import { GameBsi } from "@/models/bsiGameList";
import { store } from "@/store";
import { gameStore } from "~~/store/game";
import _ from "lodash-es";

const orderByGameIDDesktop = [61, 1 , 59];
const games = computed(() =>
  gameStore.state.games.map((item) => new GameBsi(item))
);
const sports = computed(() =>
  games.value.filter(
    (game) => game.Category === 1 && game.ForDesktop && game.IsEnabled
  )
);
const sortedSports = _.sortBy(sports.value, (game) => {
  const index = orderByGameIDDesktop.indexOf(game.GameId);
  return index === -1 ? Infinity : index;
});
</script>
<style lang="scss" scoped>
.page__header {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  margin-bottom: 40px;
  @media (max-width: 767px) {
    margin-bottom: 24px;
  }
}
.page__title {
  width: auto;
  margin: 0;
  font-size: 44px;
  line-height: 52px;
  font-style: normal;
  font-weight: 700;
  -webkit-transition: color 0.4s;
  transition: color 0.4s;
  color: var(--title-font-color);
  @media (max-width: 767px) {
    font-size: 24px;
    line-height: 32px;
  }
}
.games__list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(1, 1fr);
  grid-gap: 8px;
  margin: auto;
  .games-item {
    grid-column: unset;
    grid-row: unset;
  }
}
@media (max-width: 1200px) {
  .games__list {
    grid-template-columns: repeat(2, 1fr) !important;
  }
}
</style>
